Update task
Update the attributes of an existing labeling task.
Authentication
Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>
Path parameters
id
Task ID
Request
This endpoint expects an object.
allow_skip
Whether this task can be skipped. Set to False to make task unskippable.
avg_lead_time
cancelled_annotations
comment_count
Number of comments in the task including all annotations
completed_at
data
User imported or uploaded data for a task. Data is formatted according to the project label config. You can find examples of data for your project on the Import page in the Label Studio Data Manager UI.
draft_exists
ground_truth
inner_id
is_labeled
True if the number of annotations for this task is greater than or equal to the number of maximum_completions for the project
last_comment_updated_at
When the last comment was updated
meta
Meta is user imported (uploaded) data and can be useful as input for an ML Backend for embeddings, advanced vectors, and other info. It is passed to ML during training/predicting steps.
overlap
Number of distinct annotators that processed the current task
precomputed_agreement
Average agreement score for the task
predictions_score
project
Project ID for this task
reviewed
reviews_accepted
reviews_rejected
total_annotations
total_predictions
unresolved_comment_count
Number of unresolved comments in the task including all annotations
Response
OR
OR